Rebuild Product Parent
post
https://api.flxpoint.com/product/builder/re-build/parent/{productParentId}Use this when you want to create product builder data through the API.
๐ X-API-TOKENโฑ 2 req/sToken: Account ยท Source ยท Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Rebuild a product parent and optionally it's variants as well.
Request
Query parameters
rebuildVariantsquerybooleanWhether variants of the parent should be rebuilt as well.
Body
application/jsonproductBuilderIdinteger(optional) A specific product builder to use. If null the system default will be used.
mappingTemplateIdinteger(optional) A specific mapping template to use. If null the system default will be used.
Example request
post
/product/builder/re-build/parent/{productParentId}curl -X POST "https://api.flxpoint.com/product/builder/re-build/parent/{productParentId}" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"productBuilderId": 0,
"mappingTemplateId": 0
}'Example body ยท application/json
{
"productBuilderId": 0,
"mappingTemplateId": 0
}Responses
200OKapplication/json
successbooleanrequirederrorstringExample response
{
"success": true,
"error": "string"
}400Bad Requestapplication/json
successbooleanrequirederrorstringExample response
{
"success": true,
"error": "string"
}401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"post": {
"summary": "Rebuild Product Parent",
"description": "Rebuild a product parent and optionally it's variants as well.",
"parameters": [
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "rebuildVariants",
"description": "Whether variants of the parent should be rebuilt as well."
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProductBuilderBuildOptions"
}
}
}
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ReBuildResponse"
},
"examples": {
"example-1": {
"value": {
"success": true,
"error": "string"
}
}
}
}
}
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ReBuildResponse"
},
"examples": {
"example-1": {
"value": {
"success": false,
"error": "Something Happened"
}
}
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight